Get Precedents

SpreadJS provides extensive support for formula auditing by providing users the ability to display relationships between formulas and cells. This can be done by tracing the precedent and dependent cells in the worksheet. The following sample uses the getPrecedents method to get the precedent cellRange information object for an array of cells. In this example, click on either cell D7 or F7 to see it's precedent cells in the Formula Tree below the SpreadJS instance.

Precedents are cells or ranges that affect the current cell's formula. Set formula =SUM(A1) in cell B1. Cell A1 is the precedent cell of cell B1. Use the getPrecedents method to get the precedent cellRange information object array of cell. As shown in the following code.
window.onload = function (){ initFunction(); } function initFunction() { var spread = new GC.Spread.Sheets.Workbook(document.getElementById('ss')); var spreadForShow = new GC.Spread.Sheets.Workbook(document.getElementById('show')); initShowSpread(spreadForShow); buildNodeTreeAndPaint(spread, spreadForShow); }; function initShowSpread(spreadForShow) { var sheetForShow = spreadForShow.getActiveSheet(); spreadForShow.suspendPaint(); var spreadOptions = spreadForShow.options, sheetOptions = sheetForShow.options; spreadOptions.allowContextMenu = false; spreadOptions.scrollbarMaxAlign = true; spreadOptions.tabStripVisible = false; spreadOptions.allowUserResize = false; spreadOptions.allowUserDragDrop = false; spreadOptions.allowUserDragFill = false; spreadOptions.allowUserZoom = false; spreadOptions.grayAreaBackColor = '#ccddff'; sheetOptions.colHeaderVisible = false; sheetOptions.rowHeaderVisible = false; sheetOptions.selectionBackColor = "transparent"; sheetOptions.selectionBorderColor = "transparent"; sheetOptions.gridline = {showVerticalGridline: false, showHorizontalGridline: false}; sheetForShow.getCell(1, 0).foreColor("white").text("Formula Tree") .font("bold italic 24pt Calibri") .vAlign(GC.Spread.Sheets.VerticalAlign.center) .textIndent(2); sheetForShow.getRange(0, 0, 100, 100).backColor("#ccddff"); sheetOptions.isProtected = true; spreadForShow.resumePaint(); } function buildNodeTreeAndPaint(spread, spreadForShow) { var sd = data; if (sd.length > 0) { spread.fromJSON(sd[0]); var sheet = spread.getActiveSheet(); var sheetForShow = spreadForShow.getActiveSheet(); sheet.bind(GC.Spread.Sheets.Events.SelectionChanging, function (e, info) { sheetForShow.shapes.clear(); var row = info.newSelections[0].row; var col = info.newSelections[0].col; var nodeTree = creatNodeTree(row, col, sheet); paintDataTree(sheetForShow, nodeTree); }) } } function creatNodeTree(row, col, sheet) { var _comment = sheet.getCell(row, col).comment(); var node = { value: sheet.getValue(row, col), position: sheet.name() + '!' + GC.Spread.Sheets.CalcEngine.rangeToFormula(sheet.getRange(row, col, 1, 1)), description: _comment && _comment.text(), }; var childNodeArray = addChildNode(row, col, sheet); if (childNodeArray.length > 0) { node.childNodes = childNodeArray; } return node; } function addChildNode(row, col, sheet) { var childNodeArray = []; var childNodes = sheet.getPrecedents(row, col); if (childNodes.length >= 1) { childNodes.forEach(function (node) { var row = node.row, col = node.col, rowCount = node.rowCount, colCount = node.colCount, _sheet = sheet.parent.getSheetFromName(node.sheetName); if (rowCount > 1 || colCount > 1) { for (var r = row; r < row + rowCount; r++) { for (var c = col; c < col + colCount; c++) { childNodeArray.push(creatNodeTree(r, c, _sheet)); } } } else { childNodeArray.push(creatNodeTree(row, col, _sheet)) } }) } return childNodeArray; } function getRectShape(sheetForShow, name, x, y, width, height) { var rectShape = sheetForShow.shapes.add(name, GC.Spread.Sheets.Shapes.AutoShapeType.rectangle, x, y, width, height); var oldStyle = rectShape.style(); oldStyle.textEffect.color = "white"; oldStyle.fill.color = "#0065ff"; oldStyle.textEffect.font = "bold 15px Calibri"; oldStyle.textFrame.vAlign = GC.Spread.Sheets.VerticalAlign.top; oldStyle.textFrame.hAlign = GC.Spread.Sheets.HorizontalAlign.left; oldStyle.line.beginArrowheadWidth = 2; oldStyle.line.endArrowheadWidth = 2; rectShape.style(oldStyle); return rectShape; } function getConnectorShape(sheetForShow) { var connectorShape = sheetForShow.shapes.addConnector('', GC.Spread.Sheets.Shapes.ConnectorType.elbow); var LineStyle = connectorShape.style(); var line=LineStyle.line; line.beginArrowheadWidth=GC.Spread.Sheets.Shapes.ArrowheadWidth.wide; line.endArrowheadWidth=GC.Spread.Sheets.Shapes.ArrowheadWidth.wide; line.color="#FF6600"; connectorShape.style(LineStyle); return connectorShape; } function paintDataTree(sheetForShow, nodeTree, index, childLength, fatherShape) { var rectWidth = 260, rectHeight = 60; var spacingWidth = 300; var convertArray = [-0.75, 0.75, -2.25, 2.25, -2.25, 2.25, -4, 4, -5, 5]; var spacingHeightMapping = [145, 135, 125, 50, 50]; var name = Math.random().toString(); var rectShape; if (fatherShape) { var x = fatherShape.x(), y = fatherShape.y(); rectShape = getRectShape(sheetForShow, name, x + spacingWidth, y + convertArray[index] * spacingHeightMapping[childLength], rectWidth, rectHeight); var connectorShape = getConnectorShape(sheetForShow); connectorShape.startConnector({name: fatherShape.name(), index: 3}); connectorShape.endConnector({name: rectShape.name(), index: 1}); } else { rectShape = getRectShape(sheetForShow, name, 200, 250, rectWidth, rectHeight); } var _description = 'Value: ' + nodeTree.value + '\nCell: ' + nodeTree.position + ((nodeTree.description !== null) ? ('\nDescription: ' + nodeTree.description) : ''); rectShape.text(_description); var childNodes = nodeTree.childNodes; if (childNodes) { childNodes.forEach(function (node, index) { if (node.description) { paintDataTree(sheetForShow, node, index, childNodes.length, rectShape) } }); } }
<!DOCTYPE html> <html lang="en" style="height: 100%;font-size: 14px;"> <head> <meta charset="utf-8"> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets-shapes/dist/gc.spread.sheets.shapes.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/data/precedent.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss"></div> <div id="show"></div> </div> </body> </html>
#ss { width: 100%; height: 60%; border: 1px solid black; } #show { width: 100%; height: 40%; border: 1px solid black; } .sample-tutorial { height: 100%; width: 100%; overflow: hidden; } body{ height: 100%; }

Precedents are cells or ranges that affect the current cell's formula.
Set formula =SUM(A1) in cell B1.
Cell A1 is the precedent cell of cell B1.
Use the getPrecedents method to get the precedent cellRange information object array of cell. As shown in the following code.
<template>
<div class="sample-tutorial">
<div id="ss">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initsamplespread"></gc-spread-sheets>
</div>
<div id="show">
<gc-spread-sheets class="show-spreadsheets" @workbookInitialized="initshowspread"></gc-spread-sheets>
</div>
</div>
</template>
<script setup>
import {ref} from "vue";
import "@mescius/spread-sheets-vue";
import GC from "@mescius/spread-sheets";
import "@mescius/spread-sheets-shapes";
const spreadForSample = ref(null);
const spreadForShow = ref(null);
function initsamplespread(spread) {
spreadForSample.value = spread;
}
function initshowspread(_spreadForShow) {
spreadForShow.value = _spreadForShow;
var sheetForShow = _spreadForShow.getActiveSheet();
_spreadForShow.suspendPaint();
var spreadOptions = _spreadForShow.options,
sheetOptions = sheetForShow.options;
spreadOptions.allowContextMenu = false;
spreadOptions.scrollbarMaxAlign = true;
spreadOptions.tabStripVisible = false;
spreadOptions.allowUserResize = false;
spreadOptions.allowUserDragDrop = false;
spreadOptions.allowUserDragFill = false;
spreadOptions.allowUserZoom = false;
spreadOptions.grayAreaBackColor = "#ccddff";
sheetOptions.colHeaderVisible = false;
sheetOptions.rowHeaderVisible = false;
sheetOptions.selectionBackColor = "transparent";
sheetOptions.selectionBorderColor = "transparent";
sheetOptions.gridline = {
showVerticalGridline: false,
showHorizontalGridline: false,
};
sheetForShow
.getCell(1, 0)
.foreColor("white")
.text("Formula Tree")
.font("bold italic 24pt Calibri")
.vAlign(GC.Spread.Sheets.VerticalAlign.center)
.textIndent(2);
sheetForShow.getRange(0, 0, 100, 100).backColor("#ccddff");
sheetOptions.isProtected = true;
_spreadForShow.resumePaint();
buildNodeTreeAndPaint(spreadForSample.value, _spreadForShow);
}
function buildNodeTreeAndPaint(spread, spreadForShow) {
var sd = data;
if (sd.length > 0) {
spread.fromJSON(sd[0]);
var sheet = spread.getActiveSheet();
var sheetForShow = spreadForShow.getActiveSheet();
sheet.bind(GC.Spread.Sheets.Events.SelectionChanging, function (
e,
info
) {
sheetForShow.shapes.clear();
var row = info.newSelections[0].row;
var col = info.newSelections[0].col;
var nodeTree = creatNodeTree(row, col, sheet);
paintDataTree(sheetForShow, nodeTree);
});
}
}
function creatNodeTree(row, col, sheet) {
var _comment = sheet.getCell(row, col).comment();
var node = {
value: sheet.getValue(row, col),
position:
sheet.name() +
"!" +
GC.Spread.Sheets.CalcEngine.rangeToFormula(
sheet.getRange(row, col, 1, 1)
),
description: _comment && _comment.text(),
};
var childNodeArray = addChildNode(row, col, sheet);
if (childNodeArray.length > 0) {
node.childNodes = childNodeArray;
}
return node;
}
function getConnectorShape(sheetForShow) {
var connectorShape = sheetForShow.shapes.addConnector(
"",
GC.Spread.Sheets.Shapes.ConnectorType.elbow
);
var LineStyle = connectorShape.style();
var line = LineStyle.line;
line.beginArrowheadWidth = GC.Spread.Sheets.Shapes.ArrowheadWidth.wide;
line.endArrowheadWidth = GC.Spread.Sheets.Shapes.ArrowheadWidth.wide;
line.color = "#FF6600";
connectorShape.style(LineStyle);
return connectorShape;
}
function addChildNode(row, col, sheet) {
var childNodeArray = [];
var childNodes = sheet.getPrecedents(row, col);
if (childNodes.length >= 1) {
childNodes.forEach(function (node) {
var row = node.row,
col = node.col,
rowCount = node.rowCount,
colCount = node.colCount,
_sheet = sheet.parent.getSheetFromName(node.sheetName);
if (rowCount > 1 || colCount > 1) {
for (var r = row; r < row + rowCount; r++) {
for (var c = col; c < col + colCount; c++) {
childNodeArray.push(creatNodeTree(r, c, _sheet));
}
}
} else {
childNodeArray.push(creatNodeTree(row, col, _sheet));
}
});
}
return childNodeArray;
}
function getRectShape(sheetForShow, name, x, y, width, height) {
var rectShape = sheetForShow.shapes.add(
name,
GC.Spread.Sheets.Shapes.AutoShapeType.rectangle,
x,
y,
width,
height
);
var oldStyle = rectShape.style();
oldStyle.textEffect.color = "white";
oldStyle.fill.color = "#0065ff";
oldStyle.textEffect.font = "bold 15px Calibri";
oldStyle.textFrame.vAlign = GC.Spread.Sheets.VerticalAlign.top;
oldStyle.textFrame.hAlign = GC.Spread.Sheets.HorizontalAlign.left;
oldStyle.line.beginArrowheadWidth = 2;
oldStyle.line.endArrowheadWidth = 2;
rectShape.style(oldStyle);
return rectShape;
}
function paintDataTree(sheetForShow, nodeTree, index, childLength, fatherShape) {
var rectWidth = 260,
rectHeight = 60;
var spacingWidth = 300;
var convertArray = [-0.75, 0.75, -2.25, 2.25, -2.25, 2.25, -4, 4, -5, 5];
var spacingHeightMapping = [145, 135, 125, 50, 50];
var name = Math.random().toString();
var rectShape;
if (fatherShape) {
var x = fatherShape.x(),
y = fatherShape.y();
rectShape = getRectShape(
sheetForShow,
name,
x + spacingWidth,
y + convertArray[index] * spacingHeightMapping[childLength],
rectWidth,
rectHeight
);
var connectorShape = getConnectorShape(sheetForShow);
connectorShape.startConnector({ name: fatherShape.name(), index: 3 });
connectorShape.endConnector({ name: rectShape.name(), index: 1 });
} else {
rectShape = getRectShape(
sheetForShow,
name,
200,
250,
rectWidth,
rectHeight
);
}
var _description =
"Value: " +
nodeTree.value +
"\nCell: " +
nodeTree.position +
(nodeTree.description !== null
? "\nDescription: " + nodeTree.description
: "");
rectShape.text(_description);
var childNodes = nodeTree.childNodes;
if (childNodes) {
childNodes.forEach(function (node, index) {
if (node.description) {
paintDataTree(
sheetForShow,
node,
index,
childNodes.length,
rectShape
);
}
});
}
}
</script>
<style scoped>
#ss {
width: 100%;
height: 60%;
border: 1px solid black;
}
#show {
width: 100%;
height: 40%;
border: 1px solid black;
}
.sample-tutorial {
height: 100%;
width: 100%;
overflow: hidden;
}
body{
height: 100%;
}
#app{
height:100%
}
.sample-spreadsheets{
height: 100%;
}
.show-spreadsheets{
height: 100%;
}
</style>
<!DOCTYPE html>
<html lang="en" style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script src="./src/data.js"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
var data = [{
"version": "12.1.0", "sheetCount": 2, "sheets": {
"Sheet1": {
"name": "Sheet1",
"activeRow": 10,
"activeCol": 5,
"theme": "Office",
"data": {
"dataTable": {
"0": {
"0": {
"value": "Sales annual report",
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"vAlign": 1,
"font": "18pt \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2}
}
},
"1": {
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 3,
"vAlign": 1,
"font": "21.3px \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2},
"imeMode": 1
}
},
"2": {
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"vAlign": 1,
"font": "21.3px \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2}
}
},
"3": {
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"vAlign": 1,
"font": "21.3px \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2}
}
},
"4": {
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 3,
"vAlign": 1,
"font": "21.3px \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2},
"imeMode": 1
}
},
"5": {
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 3,
"vAlign": 1,
"font": "21.3px \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2},
"locked": true,
"imeMode": 1
}
},
"6": {
"value": "Please click D7 and F7 cell, then you can see the formula tree",
"style": {"foreColor": "red", "hAlign": 1, "wordWrap": true,"font":"28px \"Tw Cen MT Condensed Extra Bold\""}
},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"1": {
"0": {
"value": "Area",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\""
}
},
"1": {
"value": "Online store sales",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\"",
"imeMode": 1
}
},
"2": {
"value": "Store sales",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\""
}
},
"3": {
"value": "Total sales",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\""
}
},
"4": {
"value": "Total expenditure",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\"",
"imeMode": 1
}
},
"5": {
"value": "Actual profit",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\"",
"locked": true,
"imeMode": 1
}
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"2": {
"0": {
"value": "North region",
"style": {
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"1": {
"value": 2899,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"2": {
"value": 1453,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"3": {
"value": 4352,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
},
"formula": "B3+C3"
},
"4": {
"value": 1000,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"5": {
"value": 3352,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"locked": true,
"imeMode": 1
},
"formula": "D3-E3"
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"3": {
"0": {
"value": "East region",
"style": {"hAlign": 1, "vAlign": 1, "font": "18.7px \"Franklin Gothic Book\""}
},
"1": {
"value": 1563,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"2": {
"value": 1952,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"3": {
"value": 3515,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
},
"formula": "B4+C4"
},
"4": {
"value": 1000,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"5": {
"value": 2515,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"locked": true,
"imeMode": 1
},
"formula": "D4-E4"
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"4": {
"0": {
"value": "South region",
"style": {
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"1": {
"value": 5269,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"2": {
"value": 5523,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"3": {
"value": 10792,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
},
"formula": "B5+C5"
},
"4": {
"value": 3000,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"5": {
"value": 7792,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"locked": true,
"imeMode": 1
},
"formula": "D5-E5"
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"5": {
"0": {
"value": "Central ",
"style": {"hAlign": 1, "vAlign": 1, "font": "18.7px \"Franklin Gothic Book\""}
},
"1": {
"value": 8412,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"2": {
"value": 5263,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"3": {
"value": 13675,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
},
"formula": "B6+C6"
},
"4": {
"value": 5000,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"5": {
"value": 8675,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"locked": true,
"imeMode": 1
},
"formula": "D6-E6"
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"6": {
"0": {
"value": "Total",
"style": {
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2}
}
},
"1": {
"value": 18143,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2},
"imeMode": 1
},
"formula": "SUM(B3:B6)"
},
"2": {
"value": 14191,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2}
},
"formula": "SUM(C3:C6)"
},
"3": {
"value": 32334,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "Accent 2 40",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2}
},
"formula": "SUM(D3:D6)"
},
"4": {
"value": 10000,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2},
"imeMode": 1
},
"formula": "SUM(E3:E6)"
},
"5": {
"value": 22334,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "Accent 2 40",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2},
"locked": true,
"imeMode": 1
},
"formula": "D7-E7"
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"7": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"8": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"9": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"10": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"11": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"12": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"13": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"14": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"15": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"16": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"17": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"18": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"19": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"20": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"21": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"22": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"23": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"24": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"25": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"26": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"27": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"28": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"29": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"30": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"31": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"32": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"33": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"34": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"35": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"36": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"37": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"38": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"39": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"40": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"41": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"42": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"43": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"44": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"45": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"46": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"47": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"48": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"49": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"50": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"51": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"52": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"53": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"54": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"55": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"56": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"57": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"58": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"59": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"60": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"61": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"62": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"63": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"64": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"65": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"66": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"67": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"68": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"69": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"70": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"71": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"72": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"73": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"74": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"75": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"76": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"77": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"78": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"79": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"80": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"81": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"82": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"83": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"84": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"85": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"86": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"87": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"88": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"89": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"90": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"91": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"92": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"93": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"94": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"95": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"96": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"97": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"98": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"99": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"100": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"101": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"102": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"103": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"104": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"105": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"106": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"107": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"108": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"109": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"110": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"111": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"112": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"113": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"114": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"115": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"116": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"117": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"118": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"119": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"120": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"121": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"122": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"123": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"124": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"125": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"126": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"127": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"128": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"129": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"130": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"131": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"132": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"133": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"134": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"135": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"136": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"137": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"138": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"139": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"140": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"141": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"142": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"143": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"144": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"145": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"146": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"147": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"148": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"149": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"150": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"151": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"152": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"153": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"154": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"155": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"156": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"157": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"158": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"159": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"160": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"161": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"162": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"163": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"164": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"165": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"166": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"167": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"168": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"169": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"170": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"171": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"172": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"173": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"174": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"175": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"176": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"177": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"178": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"179": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"180": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"181": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"182": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"183": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"184": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"185": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"186": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"187": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"188": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"189": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"190": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"191": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"192": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"193": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"194": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"195": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"196": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"197": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"198": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"199": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
}
},
"columnDataArray": [null, {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}, null, null, {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}, {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}],
"defaultDataNode": {"style": {"themeFont": "Body"}}
},
"rowHeaderData": {"defaultDataNode": {"style": {"themeFont": "Body"}}},
"colHeaderData": {
"dataTable": {
"0": {
"1": {
"style": {
"hAlign": 1,
"vAlign": 1,
"themeFont": "Body",
"imeMode": 1
}
},
"4": {"style": {"hAlign": 1, "vAlign": 1, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 1,
"vAlign": 1,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
}
},
"columnDataArray": [null, {
"style": {
"hAlign": 1,
"vAlign": 1,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}, null, null, {
"style": {
"hAlign": 1,
"vAlign": 1,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}, {
"style": {
"hAlign": 1,
"vAlign": 1,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}],
"defaultDataNode": {"style": {"themeFont": "Body"}}
},
"rows": [{"size": 44}, {"size": 48}, {"size": 28}, {"size": 30}, {"size": 24}, {"size": 30}, {"size": 29}],
"columns": [{"size": 196}, {"size": 176, "visible": true}, {"size": 140}, {"size": 166}, {
"size": 166,
"visible": true
}, {"size": 169, "visible": true}],
"colHeaderRowInfos": [{"size": 20}],
"spans": [{"row": 0, "rowCount": 7, "col": 6, "colCount": 3}],
"selections": {"0": {"row": 10, "rowCount": 1, "col": 5, "colCount": 1}, "length": 1},
"comments": [{
"rowIndex": 6,
"colIndex": 5,
"text": "Total revenue",
"location": {"x": 9, "y": -18},
"zIndex": 884
}, {
"rowIndex": 6,
"colIndex": 4,
"text": "Total regional expenditure",
"location": {"x": 9, "y": -18},
"width": 173,
"zIndex": 885
}, {
"rowIndex": 6,
"colIndex": 3,
"text": "Regional total sales",
"location": {"x": 9, "y": -18},
"width": 170,
"zIndex": 886
}, {
"rowIndex": 6,
"colIndex": 2,
"text": "Regional store total sales",
"location": {"x": 9, "y": -18},
"zIndex": 887
}, {
"rowIndex": 6,
"colIndex": 1,
"text": "Regional online store total sales",
"location": {"x": 9, "y": -18},
"zIndex": 888
}, {
"rowIndex": 5,
"colIndex": 5,
"text": "central profit",
"location": {"x": 9, "y": -18},
"zIndex": 891
}, {
"rowIndex": 4,
"colIndex": 5,
"text": "South actual profit",
"location": {"x": 9, "y": -18},
"zIndex": 892
}, {
"rowIndex": 3,
"colIndex": 5,
"text": "East actual profit",
"location": {"x": 9, "y": -18},
"zIndex": 893
}, {
"rowIndex": 2,
"colIndex": 5,
"text": "North actual profit",
"location": {"x": 9, "y": -18},
"zIndex": 894
}, {
"rowIndex": 5,
"colIndex": 3,
"text": "Central total sales",
"location": {"x": 9, "y": -18},
"width": 170,
"zIndex": 895
}, {
"rowIndex": 4,
"colIndex": 3,
"text": "South total sales",
"location": {"x": 9, "y": -18},
"width": 170,
"zIndex": 896
}, {
"rowIndex": 3,
"colIndex": 3,
"text": "East total sales",
"location": {"x": 9, "y": -18},
"width": 170,
"zIndex": 897
}, {
"rowIndex": 2,
"colIndex": 3,
"text": "North total sales",
"location": {"x": 9, "y": -18},
"width": 170,
"zIndex": 898
}],
"index": 0
},
"Sheet2": {
"name": "Sheet2",
"theme": "Office",
"data": {"dataTable": {}},
"rowHeaderData": {},
"colHeaderData": {},
"selections": {"0": {"row": 0, "rowCount": 1, "col": 0, "colCount": 1}, "length": 1},
"index": 1
}
}
}];
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

Precedents are cells or ranges that affect the current cell's formula.
Set formula =SUM(A1) in cell B1.
Cell A1 is the precedent cell of cell B1.
Use the getPrecedents method to get the precedent cellRange information object array of cell. As shown in the following code.
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import './styles.css';
import { data } from "./data"
import "@mescius/spread-sheets-shapes";
export function AppFunc() {
let spreadForSample = null;
const initSampleSpread = (spread) => {
spreadForSample = spread;
}
const initShowSpread = (spreadForShow) => {
var sheetForShow = spreadForShow.getActiveSheet();
spreadForShow.suspendPaint();
var spreadOptions = spreadForShow.options, sheetOptions = sheetForShow.options;
spreadOptions.allowContextMenu = false;
spreadOptions.scrollbarMaxAlign = true;
spreadOptions.tabStripVisible = false;
spreadOptions.allowUserResize = false;
spreadOptions.allowUserDragDrop = false;
spreadOptions.allowUserDragFill = false;
spreadOptions.allowUserZoom = false;
spreadOptions.grayAreaBackColor = '#ccddff';
sheetOptions.colHeaderVisible = false;
sheetOptions.rowHeaderVisible = false;
sheetOptions.selectionBackColor = "transparent";
sheetOptions.selectionBorderColor = "transparent";
sheetOptions.gridline = { showVerticalGridline: false, showHorizontalGridline: false };
sheetForShow.getCell(1, 0).foreColor("white").text("Formula Tree")
.font("bold italic 24pt Calibri")
.vAlign(GC.Spread.Sheets.VerticalAlign.center)
.textIndent(2);
sheetForShow.getRange(0, 0, 100, 100).backColor("#ccddff");
sheetOptions.isProtected = true;
spreadForShow.resumePaint();
buildNodeTreeAndPaint(spreadForSample, spreadForShow);
}
const buildNodeTreeAndPaint = (spread, spreadForShow) => {
var sd = data;
if (sd.length > 0) {
spread.fromJSON(sd[0]);
var sheet = spread.getActiveSheet();
var sheetForShow = spreadForShow.getActiveSheet();
sheet.bind(GC.Spread.Sheets.Events.SelectionChanging, function (e, info) {
sheetForShow.shapes.clear();
var row = info.newSelections[0].row;
var col = info.newSelections[0].col;
var nodeTree = creatNodeTree(row, col, sheet);
paintDataTree(sheetForShow, nodeTree);
})
}
}
const creatNodeTree = (row, col, sheet) => {
var _comment = sheet.getCell(row, col).comment();
var node = {
value: sheet.getValue(row, col),
position: sheet.name() + '!' + GC.Spread.Sheets.CalcEngine.rangeToFormula(sheet.getRange(row, col, 1, 1)),
description: _comment && _comment.text(),
};
var childNodeArray = addChildNode(row, col, sheet);
if (childNodeArray.length > 0) {
node.childNodes = childNodeArray;
}
return node;
}
const getConnectorShape = (sheetForShow) => {
var connectorShape = sheetForShow.shapes.addConnector('', GC.Spread.Sheets.Shapes.ConnectorType.elbow);
var LineStyle = connectorShape.style();
var line = LineStyle.line;
line.beginArrowheadWidth = GC.Spread.Sheets.Shapes.ArrowheadWidth.wide;
line.endArrowheadWidth = GC.Spread.Sheets.Shapes.ArrowheadWidth.wide;
line.color = "#FF6600";
connectorShape.style(LineStyle);
return connectorShape;
}
const addChildNode = (row, col, sheet) => {
var childNodeArray = [];
var childNodes = sheet.getPrecedents(row, col);
if (childNodes.length >= 1) {
childNodes.forEach(function (node) {
var row = node.row, col = node.col, rowCount = node.rowCount,
colCount = node.colCount, _sheet = sheet.parent.getSheetFromName(node.sheetName);
if (rowCount > 1 || colCount > 1) {
for (var r = row; r < row + rowCount; r++) {
for (var c = col; c < col + colCount; c++) {
childNodeArray.push(creatNodeTree(r, c, _sheet));
}
}
} else {
childNodeArray.push(creatNodeTree(row, col, _sheet))
}
})
}
return childNodeArray;
}
const getRectShape = (sheetForShow, name, x, y, width, height) => {
var rectShape = sheetForShow.shapes.add(name, GC.Spread.Sheets.Shapes.AutoShapeType.rectangle, x, y, width, height);
var oldStyle = rectShape.style();
oldStyle.textEffect.color = "white";
oldStyle.fill.color = "#0065ff";
oldStyle.textEffect.font = "bold 15px Calibri";
oldStyle.textFrame.vAlign = GC.Spread.Sheets.VerticalAlign.top;
oldStyle.textFrame.hAlign = GC.Spread.Sheets.HorizontalAlign.left;
oldStyle.line.beginArrowheadWidth = 2;
oldStyle.line.endArrowheadWidth = 2;
rectShape.style(oldStyle);
return rectShape;
}
const paintDataTree = (sheetForShow, nodeTree, index, childLength, fatherShape) => {
var rectWidth = 260, rectHeight = 60;
var spacingWidth = 300;
var convertArray = [-0.75, 0.75, -2.25, 2.25, -2.25, 2.25, -4, 4, -5, 5];
var spacingHeightMapping = [145, 135, 125, 50, 50];
var name = Math.random().toString();
var rectShape;
if (fatherShape) {
var x = fatherShape.x(), y = fatherShape.y();
rectShape = getRectShape(sheetForShow, name, x + spacingWidth, y + convertArray[index] * spacingHeightMapping[childLength], rectWidth, rectHeight);
var connectorShape = getConnectorShape(sheetForShow);
connectorShape.startConnector({ name: fatherShape.name(), index: 3 });
connectorShape.endConnector({ name: rectShape.name(), index: 1 });
} else {
rectShape = getRectShape(sheetForShow, name, 200, 250, rectWidth, rectHeight);
}
var _description = 'Value: ' + nodeTree.value + '\nCell: ' + nodeTree.position + ((nodeTree.description !== null) ? ('\nDescription: ' + nodeTree.description) : '');
rectShape.text(_description);
var childNodes = nodeTree.childNodes;
if (childNodes) {
childNodes.forEach(function (node, index) {
if (node.description) {
paintDataTree(sheetForShow, node, index, childNodes.length, rectShape)
}
});
}
}
return (
<div class="sample-tutorial">
<div id="ss">
<SpreadSheets workbookInitialized={spread => initSampleSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
<div id='show'>
<SpreadSheets workbookInitialized={spread => initShowSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>
);
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import './styles.css';
import { data } from "./data"
import "@mescius/spread-sheets-shapes";
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spreadForSample = null;
this.spreadForShow = null;
}
render() {
return (
<div class="sample-tutorial">
<div id="ss">
<SpreadSheets workbookInitialized={spread => this.initSampleSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
<div id='show'>
<SpreadSheets workbookInitialized={spread => this.initShowSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>
)
}
initSampleSpread(spread) {
this.spreadForSample = spread;
}
initShowSpread(spreadForShow) {
this.spreadForShow = spreadForShow;
var sheetForShow = spreadForShow.getActiveSheet();
spreadForShow.suspendPaint();
var spreadOptions = spreadForShow.options, sheetOptions = sheetForShow.options;
spreadOptions.allowContextMenu = false;
spreadOptions.scrollbarMaxAlign = true;
spreadOptions.tabStripVisible = false;
spreadOptions.allowUserResize = false;
spreadOptions.allowUserDragDrop = false;
spreadOptions.allowUserDragFill = false;
spreadOptions.allowUserZoom = false;
spreadOptions.grayAreaBackColor = '#ccddff';
sheetOptions.colHeaderVisible = false;
sheetOptions.rowHeaderVisible = false;
sheetOptions.selectionBackColor = "transparent";
sheetOptions.selectionBorderColor = "transparent";
sheetOptions.gridline = { showVerticalGridline: false, showHorizontalGridline: false };
sheetForShow.getCell(1, 0).foreColor("white").text("Formula Tree")
.font("bold italic 24pt Calibri")
.vAlign(GC.Spread.Sheets.VerticalAlign.center)
.textIndent(2);
sheetForShow.getRange(0, 0, 100, 100).backColor("#ccddff");
sheetOptions.isProtected = true;
spreadForShow.resumePaint();
this.buildNodeTreeAndPaint(this.spreadForSample, spreadForShow);
}
buildNodeTreeAndPaint(spread, spreadForShow) {
var sd = data;
let self = this;
if (sd.length > 0) {
spread.fromJSON(sd[0]);
var sheet = spread.getActiveSheet();
var sheetForShow = spreadForShow.getActiveSheet();
sheet.bind(GC.Spread.Sheets.Events.SelectionChanging, function (e, info) {
sheetForShow.shapes.clear();
var row = info.newSelections[0].row;
var col = info.newSelections[0].col;
var nodeTree = self.creatNodeTree(row, col, sheet);
self.paintDataTree(sheetForShow, nodeTree);
})
}
}
creatNodeTree(row, col, sheet) {
var _comment = sheet.getCell(row, col).comment();
var node = {
value: sheet.getValue(row, col),
position: sheet.name() + '!' + GC.Spread.Sheets.CalcEngine.rangeToFormula(sheet.getRange(row, col, 1, 1)),
description: _comment && _comment.text(),
};
var childNodeArray = this.addChildNode(row, col, sheet);
if (childNodeArray.length > 0) {
node.childNodes = childNodeArray;
}
return node;
}
getConnectorShape(sheetForShow) {
var connectorShape = sheetForShow.shapes.addConnector('', GC.Spread.Sheets.Shapes.ConnectorType.elbow);
var LineStyle = connectorShape.style();
var line = LineStyle.line;
line.beginArrowheadWidth = GC.Spread.Sheets.Shapes.ArrowheadWidth.wide;
line.endArrowheadWidth = GC.Spread.Sheets.Shapes.ArrowheadWidth.wide;
line.color = "#FF6600";
connectorShape.style(LineStyle);
return connectorShape;
}
addChildNode(row, col, sheet) {
var childNodeArray = [];
var childNodes = sheet.getPrecedents(row, col);
let self = this;
if (childNodes.length >= 1) {
childNodes.forEach(function (node) {
var row = node.row, col = node.col, rowCount = node.rowCount,
colCount = node.colCount, _sheet = sheet.parent.getSheetFromName(node.sheetName);
if (rowCount > 1 || colCount > 1) {
for (var r = row; r < row + rowCount; r++) {
for (var c = col; c < col + colCount; c++) {
childNodeArray.push(self.creatNodeTree(r, c, _sheet));
}
}
} else {
childNodeArray.push(self.creatNodeTree(row, col, _sheet))
}
})
}
return childNodeArray;
}
getRectShape(sheetForShow, name, x, y, width, height) {
var rectShape = sheetForShow.shapes.add(name, GC.Spread.Sheets.Shapes.AutoShapeType.rectangle, x, y, width, height);
var oldStyle = rectShape.style();
oldStyle.textEffect.color = "white";
oldStyle.fill.color = "#0065ff";
oldStyle.textEffect.font = "bold 15px Calibri";
oldStyle.textFrame.vAlign = GC.Spread.Sheets.VerticalAlign.top;
oldStyle.textFrame.hAlign = GC.Spread.Sheets.HorizontalAlign.left;
oldStyle.line.beginArrowheadWidth = 2;
oldStyle.line.endArrowheadWidth = 2;
rectShape.style(oldStyle);
return rectShape;
}
paintDataTree(sheetForShow, nodeTree, index, childLength, fatherShape) {
var rectWidth = 260, rectHeight = 60;
var spacingWidth = 300;
var convertArray = [-0.75, 0.75, -2.25, 2.25, -2.25, 2.25, -4, 4, -5, 5];
var spacingHeightMapping = [145, 135, 125, 50, 50];
var name = Math.random().toString();
var rectShape;
let self = this;
if (fatherShape) {
var x = fatherShape.x(), y = fatherShape.y();
rectShape = self.getRectShape(sheetForShow, name, x + spacingWidth, y + convertArray[index] * spacingHeightMapping[childLength], rectWidth, rectHeight);
var connectorShape = self.getConnectorShape(sheetForShow);
connectorShape.startConnector({ name: fatherShape.name(), index: 3 });
connectorShape.endConnector({ name: rectShape.name(), index: 1 });
} else {
rectShape = self.getRectShape(sheetForShow, name, 200, 250, rectWidth, rectHeight);
}
var _description = 'Value: ' + nodeTree.value + '\nCell: ' + nodeTree.position + ((nodeTree.description !== null) ? ('\nDescription: ' + nodeTree.description) : '');
rectShape.text(_description);
var childNodes = nodeTree.childNodes;
if (childNodes) {
childNodes.forEach(function (node, index) {
if (node.description) {
self.paintDataTree(sheetForShow, node, index, childNodes.length, rectShape)
}
});
}
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
#ss {
width: 100%;
height: 60%;
border: 1px solid black;
}
#show {
width: 100%;
height: 40%;
border: 1px solid black;
}
.sample-tutorial {
height: 100%;
width: 100%;
overflow: hidden;
}
body{
height: 100%;
}
#app{
height:100%
}
export var data = [{
"version": "12.1.0", "sheetCount": 2, "sheets": {
"Sheet1": {
"name": "Sheet1",
"activeRow": 10,
"activeCol": 5,
"theme": "Office",
"data": {
"dataTable": {
"0": {
"0": {
"value": "Sales annual report",
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"vAlign": 1,
"font": "18pt \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2}
}
},
"1": {
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 3,
"vAlign": 1,
"font": "21.3px \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2},
"imeMode": 1
}
},
"2": {
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"vAlign": 1,
"font": "21.3px \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2}
}
},
"3": {
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"vAlign": 1,
"font": "21.3px \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2}
}
},
"4": {
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 3,
"vAlign": 1,
"font": "21.3px \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2},
"imeMode": 1
}
},
"5": {
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 3,
"vAlign": 1,
"font": "21.3px \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2},
"locked": true,
"imeMode": 1
}
},
"6": {
"value": "Please click D7 and F7 cell, then you can see the formula tree",
"style": {"foreColor": "red", "hAlign": 1, "wordWrap": true,"font":"28px \"Tw Cen MT Condensed Extra Bold\""}
},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"1": {
"0": {
"value": "Area",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\""
}
},
"1": {
"value": "Online store sales",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\"",
"imeMode": 1
}
},
"2": {
"value": "Store sales",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\""
}
},
"3": {
"value": "Total sales",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\""
}
},
"4": {
"value": "Total expenditure",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\"",
"imeMode": 1
}
},
"5": {
"value": "Actual profit",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\"",
"locked": true,
"imeMode": 1
}
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"2": {
"0": {
"value": "North region",
"style": {
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"1": {
"value": 2899,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"2": {
"value": 1453,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"3": {
"value": 4352,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
},
"formula": "B3+C3"
},
"4": {
"value": 1000,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"5": {
"value": 3352,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"locked": true,
"imeMode": 1
},
"formula": "D3-E3"
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"3": {
"0": {
"value": "East region",
"style": {"hAlign": 1, "vAlign": 1, "font": "18.7px \"Franklin Gothic Book\""}
},
"1": {
"value": 1563,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"2": {
"value": 1952,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"3": {
"value": 3515,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
},
"formula": "B4+C4"
},
"4": {
"value": 1000,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"5": {
"value": 2515,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"locked": true,
"imeMode": 1
},
"formula": "D4-E4"
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"4": {
"0": {
"value": "South region",
"style": {
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"1": {
"value": 5269,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"2": {
"value": 5523,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"3": {
"value": 10792,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
},
"formula": "B5+C5"
},
"4": {
"value": 3000,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"5": {
"value": 7792,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"locked": true,
"imeMode": 1
},
"formula": "D5-E5"
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"5": {
"0": {
"value": "Central ",
"style": {"hAlign": 1, "vAlign": 1, "font": "18.7px \"Franklin Gothic Book\""}
},
"1": {
"value": 8412,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"2": {
"value": 5263,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"3": {
"value": 13675,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
},
"formula": "B6+C6"
},
"4": {
"value": 5000,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"5": {
"value": 8675,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"locked": true,
"imeMode": 1
},
"formula": "D6-E6"
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"6": {
"0": {
"value": "Total",
"style": {
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2}
}
},
"1": {
"value": 18143,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2},
"imeMode": 1
},
"formula": "SUM(B3:B6)"
},
"2": {
"value": 14191,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2}
},
"formula": "SUM(C3:C6)"
},
"3": {
"value": 32334,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "Accent 2 40",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2}
},
"formula": "SUM(D3:D6)"
},
"4": {
"value": 10000,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2},
"imeMode": 1
},
"formula": "SUM(E3:E6)"
},
"5": {
"value": 22334,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "Accent 2 40",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2},
"locked": true,
"imeMode": 1
},
"formula": "D7-E7"
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"7": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"8": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"9": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"10": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"11": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"12": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"13": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"14": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"15": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"16": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"17": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"18": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"19": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"20": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"21": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"22": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"23": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"24": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"25": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"26": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"27": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"28": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"29": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"30": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"31": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"32": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"33": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"34": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"35": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"36": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"37": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"38": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"39": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"40": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"41": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"42": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"43": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"44": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"45": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"46": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"47": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"48": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"49": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"50": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"51": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"52": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"53": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"54": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"55": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"56": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"57": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"58": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"59": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"60": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"61": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"62": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"63": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"64": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"65": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"66": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"67": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"68": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"69": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"70": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"71": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"72": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"73": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"74": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"75": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"76": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"77": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"78": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"79": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"80": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"81": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"82": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"83": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"84": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"85": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"86": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"87": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"88": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"89": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"90": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"91": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"92": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"93": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"94": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"95": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"96": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"97": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"98": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"99": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"100": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"101": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"102": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"103": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"104": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"105": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"106": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"107": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"108": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"109": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"110": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"111": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"112": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"113": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"114": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"115": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"116": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"117": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"118": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"119": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"120": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"121": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"122": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"123": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"124": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"125": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"126": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"127": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"128": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"129": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"130": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"131": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"132": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"133": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"134": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"135": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"136": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"137": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"138": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"139": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"140": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"141": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"142": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"143": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"144": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"145": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"146": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"147": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"148": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"149": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"150": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"151": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"152": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"153": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"154": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"155": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"156": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"157": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"158": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"159": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"160": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"161": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"162": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"163": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"164": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"165": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"166": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"167": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"168": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"169": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"170": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"171": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"172": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"173": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"174": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"175": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"176": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"177": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"178": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"179": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"180": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"181": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"182": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"183": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"184": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"185": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"186": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"187": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"188": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"189": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"190": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"191": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"192": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"193": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"194": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"195": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"196": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"197": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"198": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"199": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
}
},
"columnDataArray": [null, {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}, null, null, {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}, {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}],
"defaultDataNode": {"style": {"themeFont": "Body"}}
},
"rowHeaderData": {"defaultDataNode": {"style": {"themeFont": "Body"}}},
"colHeaderData": {
"dataTable": {
"0": {
"1": {
"style": {
"hAlign": 1,
"vAlign": 1,
"themeFont": "Body",
"imeMode": 1
}
},
"4": {"style": {"hAlign": 1, "vAlign": 1, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 1,
"vAlign": 1,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
}
},
"columnDataArray": [null, {
"style": {
"hAlign": 1,
"vAlign": 1,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}, null, null, {
"style": {
"hAlign": 1,
"vAlign": 1,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}, {
"style": {
"hAlign": 1,
"vAlign": 1,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}],
"defaultDataNode": {"style": {"themeFont": "Body"}}
},
"rows": [{"size": 44}, {"size": 48}, {"size": 28}, {"size": 30}, {"size": 24}, {"size": 30}, {"size": 29}],
"columns": [{"size": 196}, {"size": 176, "visible": true}, {"size": 140}, {"size": 166}, {
"size": 166,
"visible": true
}, {"size": 169, "visible": true}],
"colHeaderRowInfos": [{"size": 20}],
"spans": [{"row": 0, "rowCount": 7, "col": 6, "colCount": 3}],
"selections": {"0": {"row": 10, "rowCount": 1, "col": 5, "colCount": 1}, "length": 1},
"comments": [{
"rowIndex": 6,
"colIndex": 5,
"text": "Total revenue",
"location": {"x": 9, "y": -18},
"zIndex": 884
}, {
"rowIndex": 6,
"colIndex": 4,
"text": "Total regional expenditure",
"location": {"x": 9, "y": -18},
"width": 173,
"zIndex": 885
}, {
"rowIndex": 6,
"colIndex": 3,
"text": "Regional total sales",
"location": {"x": 9, "y": -18},
"width": 170,
"zIndex": 886
}, {
"rowIndex": 6,
"colIndex": 2,
"text": "Regional store total sales",
"location": {"x": 9, "y": -18},
"zIndex": 887
}, {
"rowIndex": 6,
"colIndex": 1,
"text": "Regional online store total sales",
"location": {"x": 9, "y": -18},
"zIndex": 888
}, {
"rowIndex": 5,
"colIndex": 5,
"text": "central profit",
"location": {"x": 9, "y": -18},
"zIndex": 891
}, {
"rowIndex": 4,
"colIndex": 5,
"text": "South actual profit",
"location": {"x": 9, "y": -18},
"zIndex": 892
}, {
"rowIndex": 3,
"colIndex": 5,
"text": "East actual profit",
"location": {"x": 9, "y": -18},
"zIndex": 893
}, {
"rowIndex": 2,
"colIndex": 5,
"text": "North actual profit",
"location": {"x": 9, "y": -18},
"zIndex": 894
}, {
"rowIndex": 5,
"colIndex": 3,
"text": "Central total sales",
"location": {"x": 9, "y": -18},
"width": 170,
"zIndex": 895
}, {
"rowIndex": 4,
"colIndex": 3,
"text": "South total sales",
"location": {"x": 9, "y": -18},
"width": 170,
"zIndex": 896
}, {
"rowIndex": 3,
"colIndex": 3,
"text": "East total sales",
"location": {"x": 9, "y": -18},
"width": 170,
"zIndex": 897
}, {
"rowIndex": 2,
"colIndex": 3,
"text": "North total sales",
"location": {"x": 9, "y": -18},
"width": 170,
"zIndex": 898
}],
"index": 0
},
"Sheet2": {
"name": "Sheet2",
"theme": "Office",
"data": {"dataTable": {}},
"rowHeaderData": {},
"colHeaderData": {},
"selections": {"0": {"row": 0, "rowCount": 1, "col": 0, "colCount": 1}, "length": 1},
"index": 1
}
}
}];
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

Precedents are cells or ranges that affect the current cell's formula.
Set formula =SUM(A1) in cell B1.
Cell A1 is the precedent cell of cell B1.
Use the getPrecedents method to get the precedent cellRange information object array of cell. As shown in the following code.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import { data } from './app.data';
import GC from '@mescius/spread-sheets';
import './styles.css';
import "@mescius/spread-sheets-shapes";
function _getElementById(id: string) {
return document.getElementById(id);
}
@Component({
selector: "app-component",
templateUrl: "src/app.component.html",
})
export class AppComponent {
spreadForSample: GC.Spread.Sheets.Workbook;
spreadForShow: GC.Spread.Sheets.Workbook;
hostStyle = {
width: "100%",
height: "100%",
overflow: 'hidden',
float: "left",
}
constructor() {
}
initSampleSpread($event: any) {
this.spreadForSample = $event.spread;
}
initShowSpread($event: any) {
this.spreadForShow = $event.spread;
let spreadForShow = $event.spread;
var sheetForShow = spreadForShow.getActiveSheet();
spreadForShow.suspendPaint();
var spreadOptions = spreadForShow.options,
sheetOptions = sheetForShow.options;
spreadOptions.allowContextMenu = false;
spreadOptions.scrollbarMaxAlign = true;
spreadOptions.tabStripVisible = false;
spreadOptions.allowUserResize = false;
spreadOptions.allowUserDragDrop = false;
spreadOptions.allowUserDragFill = false;
spreadOptions.allowUserZoom = false;
spreadOptions.grayAreaBackColor = "#ccddff";
sheetOptions.colHeaderVisible = false;
sheetOptions.rowHeaderVisible = false;
sheetOptions.selectionBackColor = "transparent";
sheetOptions.selectionBorderColor = "transparent";
sheetOptions.gridline = {
showVerticalGridline: false,
showHorizontalGridline: false,
};
sheetForShow
.getCell(1, 0)
.foreColor("white")
.text("Formula Tree")
.font("bold italic 24pt Calibri")
.vAlign(GC.Spread.Sheets.VerticalAlign.center)
.textIndent(2);
sheetForShow.getRange(0, 0, 100, 100).backColor("#ccddff");
sheetOptions.isProtected = true;
spreadForShow.resumePaint();
this.buildNodeTreeAndPaint(this.spreadForSample, spreadForShow);
}
buildNodeTreeAndPaint(spread: GC.Spread.Sheets.Workbook, spreadForShow: GC.Spread.Sheets.Workbook) {
var sd = data;
var self = this;
if (sd.length > 0) {
spread.fromJSON(sd[0]);
var sheet = spread.getActiveSheet();
var sheetForShow = spreadForShow.getActiveSheet();
sheet.bind(GC.Spread.Sheets.Events.SelectionChanging, function (e: any, info: any) {
sheetForShow.shapes.clear();
var row = info.newSelections[0].row;
var col = info.newSelections[0].col;
var nodeTree = self.creatNodeTree(row, col, sheet);
self.paintDataTree(sheetForShow, nodeTree);
});
}
}
creatNodeTree(row: number, col: number, sheet: GC.Spread.Sheets.Worksheet) {
var _comment = sheet.getCell(row, col).comment();
var node = {
value: sheet.getValue(row, col),
position: sheet.name() + "!" + GC.Spread.Sheets.CalcEngine.rangeToFormula(sheet.getRange(row, col, 1, 1)),
description: _comment && _comment.text(),
};
var childNodeArray = this.addChildNode(row, col, sheet);
if (childNodeArray.length > 0) {
node.childNodes = childNodeArray;
}
return node;
}
getConnectorShape(sheetForShow: GC.Spread.Sheets.Worksheet) {
var connectorShape = sheetForShow.shapes.addConnector("", GC.Spread.Sheets.Shapes.ConnectorType.elbow);
var LineStyle = connectorShape.style();
var line = LineStyle.line;
line.beginArrowheadWidth = GC.Spread.Sheets.Shapes.ArrowheadWidth.wide;
line.endArrowheadWidth = GC.Spread.Sheets.Shapes.ArrowheadWidth.wide;
line.color = "#FF6600";
connectorShape.style(LineStyle);
return connectorShape;
}
addChildNode(row: number, col: number, sheet: GC.Spread.Sheets.Worksheet) {
var childNodeArray: Array<any> = [];
var childNodes = sheet.getPrecedents(row, col);
let self = this;
if (childNodes.length >= 1) {
childNodes.forEach(function (node) {
var row = node.row,
col = node.col,
rowCount = node.rowCount,
colCount = node.colCount;
let _sheet = sheet.parent.getSheetFromName(node.sheetName);
if (rowCount > 1 || colCount > 1) {
for (var r = row; r < row + rowCount; r++) {
for (var c = col; c < col + colCount; c++) {
childNodeArray.push(self.creatNodeTree(r, c, _sheet));
}
}
} else {
childNodeArray.push(self.creatNodeTree(row, col, _sheet));
}
});
}
return childNodeArray;
}
getRectShape(sheetForShow: GC.Spread.Sheets.Worksheet, name: string, x: number, y: number, width: number, height: number) {
var rectShape = sheetForShow.shapes.add(name, GC.Spread.Sheets.Shapes.AutoShapeType.rectangle, x, y, width, height);
var oldStyle = rectShape.style();
oldStyle.textEffect.color = "white";
oldStyle.fill.color = "#0065ff";
oldStyle.textEffect.font = "bold 15px Calibri";
oldStyle.textFrame.vAlign = GC.Spread.Sheets.VerticalAlign.top;
oldStyle.textFrame.hAlign = GC.Spread.Sheets.HorizontalAlign.left;
oldStyle.line.beginArrowheadWidth = 2;
oldStyle.line.endArrowheadWidth = 2;
rectShape.style(oldStyle);
return rectShape;
}
paintDataTree(sheetForShow:GC.Spread.Sheets.Worksheet, nodeTree:any, index:number, childLength:number, fatherShape:GC.Spread.Sheets.Shapes.ConnectorShape) {
var rectWidth = 260, rectHeight = 60;
var spacingWidth = 300;
var convertArray = [-0.75, 0.75, -2.25, 2.25, -2.25, 2.25, -4, 4, -5, 5];
var spacingHeightMapping = [145, 135, 125, 50, 50];
var name = Math.random().toString();
var rectShape:any;
let self = this;
if (fatherShape) {
var x = fatherShape.x(), y = fatherShape.y();
rectShape = self.getRectShape(sheetForShow, name, (x as number + spacingWidth) , y + convertArray[index] * spacingHeightMapping[childLength], rectWidth, rectHeight);
var connectorShape = self.getConnectorShape(sheetForShow);
connectorShape.startConnector({ name: fatherShape.name(), index: 3 });
connectorShape.endConnector({ name: rectShape.name(), index: 1 });
} else {
rectShape = self.getRectShape(sheetForShow, name, 200, 250, rectWidth, rectHeight);
}
var _description = 'Value: ' + nodeTree.value + '\nCell: ' + nodeTree.position + ((nodeTree.description !== null) ? ('\nDescription: ' + nodeTree.description) : '');
rectShape.text(_description);
var childNodes = nodeTree.childNodes;
if (childNodes) {
childNodes.forEach(function (node, index) {
if (node.description) {
self.paintDataTree(sheetForShow, node, index, childNodes.length, rectShape)
}
});
}
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<div id="ss">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSampleSpread($event)">
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
</div>
<div id="show">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initShowSpread($event)">
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
</div>
</div>
export var data = [{
"version": "12.1.0", "sheetCount": 2, "sheets": {
"Sheet1": {
"name": "Sheet1",
"activeRow": 10,
"activeCol": 5,
"theme": "Office",
"data": {
"dataTable": {
"0": {
"0": {
"value": "Sales annual report",
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"vAlign": 1,
"font": "18pt \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2}
}
},
"1": {
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 3,
"vAlign": 1,
"font": "21.3px \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2},
"imeMode": 1
}
},
"2": {
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"vAlign": 1,
"font": "21.3px \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2}
}
},
"3": {
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"vAlign": 1,
"font": "21.3px \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2}
}
},
"4": {
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 3,
"vAlign": 1,
"font": "21.3px \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2},
"imeMode": 1
}
},
"5": {
"style": {
"backColor": "rgb(52, 148, 186)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 3,
"vAlign": 1,
"font": "21.3px \"Tw Cen MT Condensed Extra Bold\"",
"borderBottom": {"color": "rgb(255, 255, 255)", "style": 2},
"locked": true,
"imeMode": 1
}
},
"6": {
"value": "Please click D7 and F7 cell, then you can see the formula tree",
"style": {"foreColor": "red", "hAlign": 1, "wordWrap": true,"font":"28px \"Tw Cen MT Condensed Extra Bold\""}
},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"1": {
"0": {
"value": "Area",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\""
}
},
"1": {
"value": "Online store sales",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\"",
"imeMode": 1
}
},
"2": {
"value": "Store sales",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\""
}
},
"3": {
"value": "Total sales",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\""
}
},
"4": {
"value": "Total expenditure",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\"",
"imeMode": 1
}
},
"5": {
"value": "Actual profit",
"style": {
"backColor": "rgb(26, 75, 94)",
"foreColor": "rgb(255, 255, 255)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Tw Cen MT Condensed Extra Bold\"",
"locked": true,
"imeMode": 1
}
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"2": {
"0": {
"value": "North region",
"style": {
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"1": {
"value": 2899,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"2": {
"value": 1453,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"3": {
"value": 4352,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
},
"formula": "B3+C3"
},
"4": {
"value": 1000,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"5": {
"value": 3352,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"locked": true,
"imeMode": 1
},
"formula": "D3-E3"
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"3": {
"0": {
"value": "East region",
"style": {"hAlign": 1, "vAlign": 1, "font": "18.7px \"Franklin Gothic Book\""}
},
"1": {
"value": 1563,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"2": {
"value": 1952,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"3": {
"value": 3515,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
},
"formula": "B4+C4"
},
"4": {
"value": 1000,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"5": {
"value": 2515,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"locked": true,
"imeMode": 1
},
"formula": "D4-E4"
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"4": {
"0": {
"value": "South region",
"style": {
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"1": {
"value": 5269,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"2": {
"value": 5523,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"3": {
"value": 10792,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
},
"formula": "B5+C5"
},
"4": {
"value": 3000,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"5": {
"value": 7792,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "rgb(216, 216, 216)",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"locked": true,
"imeMode": 1
},
"formula": "D5-E5"
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"5": {
"0": {
"value": "Central ",
"style": {"hAlign": 1, "vAlign": 1, "font": "18.7px \"Franklin Gothic Book\""}
},
"1": {
"value": 8412,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"2": {
"value": 5263,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
}
},
"3": {
"value": 13675,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\""
},
"formula": "B6+C6"
},
"4": {
"value": 5000,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"imeMode": 1
}
},
"5": {
"value": 8675,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"locked": true,
"imeMode": 1
},
"formula": "D6-E6"
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"6": {
"0": {
"value": "Total",
"style": {
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2}
}
},
"1": {
"value": 18143,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2},
"imeMode": 1
},
"formula": "SUM(B3:B6)"
},
"2": {
"value": 14191,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2}
},
"formula": "SUM(C3:C6)"
},
"3": {
"value": 32334,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "Accent 2 40",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2}
},
"formula": "SUM(D3:D6)"
},
"4": {
"value": 10000,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2},
"imeMode": 1
},
"formula": "SUM(E3:E6)"
},
"5": {
"value": 22334,
"style": {
"autoFormatter": {"formatCached": "$#,##0;[Red]($#,##0)"},
"backColor": "Accent 2 40",
"hAlign": 1,
"vAlign": 1,
"font": "18.7px \"Franklin Gothic Book\"",
"borderTop": {"color": "rgb(26, 75, 94)", "style": 2},
"borderBottom": {"color": "rgb(26, 75, 94)", "style": 2},
"locked": true,
"imeMode": 1
},
"formula": "D7-E7"
},
"6": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"7": {"style": {"foreColor": "Accent 2", "wordWrap": true}},
"8": {"style": {"foreColor": "Accent 2", "wordWrap": true}}
},
"7": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"8": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"9": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"10": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"11": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"12": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"13": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"14": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"15": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"16": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"17": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"18": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"19": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"20": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"21": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"22": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"23": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"24": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"25": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"26": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"27": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"28": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"29": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"30": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"31": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"32": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"33": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"34": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"35": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"36": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"37": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"38": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"39": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"40": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"41": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"42": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"43": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"44": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"45": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"46": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"47": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"48": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"49": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"50": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"51": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"52": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"53": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"54": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"55": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"56": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"57": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"58": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"59": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"60": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"61": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"62": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"63": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"64": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"65": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"66": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"67": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"68": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"69": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"70": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"71": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"72": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"73": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"74": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"75": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"76": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"77": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"78": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"79": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"80": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"81": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"82": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"83": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"84": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"85": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"86": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"87": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"88": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"89": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"90": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"91": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"92": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"93": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"94": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"95": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"96": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"97": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"98": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"99": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"100": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"101": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"102": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"103": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"104": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"105": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"106": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"107": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"108": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"109": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"110": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"111": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"112": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"113": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"114": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"115": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"116": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"117": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"118": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"119": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"120": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"121": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"122": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"123": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"124": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"125": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"126": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"127": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"128": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"129": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"130": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"131": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"132": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"133": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"134": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"135": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"136": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"137": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"138": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"139": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"140": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"141": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"142": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"143": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"144": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"145": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"146": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"147": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"148": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"149": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"150": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"151": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"152": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"153": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"154": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"155": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"156": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"157": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"158": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"159": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"160": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"161": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"162": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"163": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"164": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"165": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"166": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"167": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"168": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"169": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"170": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"171": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"172": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"173": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"174": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"175": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"176": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"177": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"178": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"179": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"180": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"181": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"182": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"183": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"184": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"185": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"186": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"187": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"188": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"189": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"190": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"191": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"192": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"193": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"194": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"195": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"196": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"197": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"198": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
},
"199": {
"1": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"4": {"style": {"hAlign": 3, "vAlign": 0, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
}
},
"columnDataArray": [null, {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}, null, null, {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}, {
"style": {
"hAlign": 3,
"vAlign": 0,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}],
"defaultDataNode": {"style": {"themeFont": "Body"}}
},
"rowHeaderData": {"defaultDataNode": {"style": {"themeFont": "Body"}}},
"colHeaderData": {
"dataTable": {
"0": {
"1": {
"style": {
"hAlign": 1,
"vAlign": 1,
"themeFont": "Body",
"imeMode": 1
}
},
"4": {"style": {"hAlign": 1, "vAlign": 1, "themeFont": "Body", "imeMode": 1}},
"5": {
"style": {
"hAlign": 1,
"vAlign": 1,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}
}
},
"columnDataArray": [null, {
"style": {
"hAlign": 1,
"vAlign": 1,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}, null, null, {
"style": {
"hAlign": 1,
"vAlign": 1,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}, {
"style": {
"hAlign": 1,
"vAlign": 1,
"font": "14.6667px Calibri",
"themeFont": "Body",
"locked": true,
"imeMode": 1
}
}],
"defaultDataNode": {"style": {"themeFont": "Body"}}
},
"rows": [{"size": 44}, {"size": 48}, {"size": 28}, {"size": 30}, {"size": 24}, {"size": 30}, {"size": 29}],
"columns": [{"size": 196}, {"size": 176, "visible": true}, {"size": 140}, {"size": 166}, {
"size": 166,
"visible": true
}, {"size": 169, "visible": true}],
"colHeaderRowInfos": [{"size": 20}],
"spans": [{"row": 0, "rowCount": 7, "col": 6, "colCount": 3}],
"selections": {"0": {"row": 10, "rowCount": 1, "col": 5, "colCount": 1}, "length": 1},
"comments": [{
"rowIndex": 6,
"colIndex": 5,
"text": "Total revenue",
"location": {"x": 9, "y": -18},
"zIndex": 884
}, {
"rowIndex": 6,
"colIndex": 4,
"text": "Total regional expenditure",
"location": {"x": 9, "y": -18},
"width": 173,
"zIndex": 885
}, {
"rowIndex": 6,
"colIndex": 3,
"text": "Regional total sales",
"location": {"x": 9, "y": -18},
"width": 170,
"zIndex": 886
}, {
"rowIndex": 6,
"colIndex": 2,
"text": "Regional store total sales",
"location": {"x": 9, "y": -18},
"zIndex": 887
}, {
"rowIndex": 6,
"colIndex": 1,
"text": "Regional online store total sales",
"location": {"x": 9, "y": -18},
"zIndex": 888
}, {
"rowIndex": 5,
"colIndex": 5,
"text": "central profit",
"location": {"x": 9, "y": -18},
"zIndex": 891
}, {
"rowIndex": 4,
"colIndex": 5,
"text": "South actual profit",
"location": {"x": 9, "y": -18},
"zIndex": 892
}, {
"rowIndex": 3,
"colIndex": 5,
"text": "East actual profit",
"location": {"x": 9, "y": -18},
"zIndex": 893
}, {
"rowIndex": 2,
"colIndex": 5,
"text": "North actual profit",
"location": {"x": 9, "y": -18},
"zIndex": 894
}, {
"rowIndex": 5,
"colIndex": 3,
"text": "Central total sales",
"location": {"x": 9, "y": -18},
"width": 170,
"zIndex": 895
}, {
"rowIndex": 4,
"colIndex": 3,
"text": "South total sales",
"location": {"x": 9, "y": -18},
"width": 170,
"zIndex": 896
}, {
"rowIndex": 3,
"colIndex": 3,
"text": "East total sales",
"location": {"x": 9, "y": -18},
"width": 170,
"zIndex": 897
}, {
"rowIndex": 2,
"colIndex": 3,
"text": "North total sales",
"location": {"x": 9, "y": -18},
"width": 170,
"zIndex": 898
}],
"index": 0
},
"Sheet2": {
"name": "Sheet2",
"theme": "Office",
"data": {"dataTable": {}},
"rowHeaderData": {},
"colHeaderData": {},
"selections": {"0": {"row": 0, "rowCount": 1, "col": 0, "colCount": 1}, "length": 1},
"index": 1
}
}
}];
#ss {
width: 100%;
height: 60%;
border: 1px solid black;
}
#show {
width: 100%;
height: 40%;
border: 1px solid black;
}
.sample-tutorial {
height: 100%;
width: 100%;
overflow: hidden;
}
body{
height: 100%;
}
#app{
height:100%
}
.sample-spreadsheets{
height: 100%;
}
.show-spreadsheets{
height: 100%;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);